summaryrefslogtreecommitdiffstats
path: root/network/plowshare-modules
diff options
context:
space:
mode:
author Jeremy Hansen2017-03-27 22:48:13 +0200
committer Willy Sudiarto Raharjo2017-04-01 01:56:57 +0200
commitd17a285ce4bf1425c28786e4107b7dc2cf4297d8 (patch)
treee50e8702caa5fa9e3f5d6aef8f6990faf2c5cb23 /network/plowshare-modules
parent1466c9c9f8719924d1bb15a801a7494054e22059 (diff)
downloadslackbuilds-d17a285ce4bf1425c28786e4107b7dc2cf4297d8.tar.gz
network/plowshare-modules: Added (Plowshare legacy/unmaint modules).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'network/plowshare-modules')
-rw-r--r--network/plowshare-modules/README6
-rw-r--r--network/plowshare-modules/plowshare-modules.SlackBuild69
-rw-r--r--network/plowshare-modules/plowshare-modules.info10
-rw-r--r--network/plowshare-modules/slack-desc19
4 files changed, 104 insertions, 0 deletions
diff --git a/network/plowshare-modules/README b/network/plowshare-modules/README
new file mode 100644
index 0000000000..f9e65a5daa
--- /dev/null
+++ b/network/plowshare-modules/README
@@ -0,0 +1,6 @@
+plowshare-modules (Plowshare legacy & unmaintained modules)
+
+This contains the modules for plowshare to interact with websites.
+
+Various websites have different features/options, so check the
+README.md or homepage for more details.
diff --git a/network/plowshare-modules/plowshare-modules.SlackBuild b/network/plowshare-modules/plowshare-modules.SlackBuild
new file mode 100644
index 0000000000..d8ca4438d8
--- /dev/null
+++ b/network/plowshare-modules/plowshare-modules.SlackBuild
@@ -0,0 +1,69 @@
+#!/bin/sh
+
+# Slackware build script for plowshare-modules
+
+# Copyright 2017 Jeremy Hansen <jebrhansen+SBo -at- gmail.com>
+# Copyright 2010 Mikhail Cuddy <mikhailcuddy@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=plowshare-modules
+VERSION=${VERSION:-fc341f2}
+SRCNAM=${PRGNAM}-legacy
+SRCVER=${MODVER:-fc341f228cd5e4f604e827b703cfde3a2e9e6bc5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$SRCVER
+tar xvf $CWD/$SRCNAM-$SRCVER.tar.gz
+cd $SRCNAM-$SRCVER
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Install modules
+mkdir -p $PKG/usr/share/plowshare/modules/
+mv *.sh $PKG/usr/share/plowshare/modules/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CONTRIBUTING.md CONTRIBUTORS LICENSE README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/plowshare-modules/plowshare-modules.info b/network/plowshare-modules/plowshare-modules.info
new file mode 100644
index 0000000000..7346f17231
--- /dev/null
+++ b/network/plowshare-modules/plowshare-modules.info
@@ -0,0 +1,10 @@
+PRGNAM="plowshare-modules"
+VERSION="fc341f2"
+HOMEPAGE="https://github.com/mcrapet/plowshare-modules-legacy"
+DOWNLOAD="https://github.com/mcrapet/plowshare-modules-legacy/archive/fc341f2/plowshare-modules-legacy-fc341f228cd5e4f604e827b703cfde3a2e9e6bc5.tar.gz"
+MD5SUM="024751af358c0b49b35d4af04b83a1ad"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="plowshare"
+MAINTAINER="Jeremy Hansen"
+EMAIL="jebrhansen+SBo@gmail.com"
diff --git a/network/plowshare-modules/slack-desc b/network/plowshare-modules/slack-desc
new file mode 100644
index 0000000000..185c902488
--- /dev/null
+++ b/network/plowshare-modules/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+plowshare-modules: plowshare-modules (Plowshare legacy & unmaintained modules)
+plowshare-modules:
+plowshare-modules: This contains the modules for plowshare to interact with websites.
+plowshare-modules:
+plowshare-modules: Various websites have different features/options, so check the
+plowshare-modules: README.md or homepage for more details.
+plowshare-modules:
+plowshare-modules: HOMEPAGE: https://github.com/mcrapet/plowshare-modules-legacy
+plowshare-modules:
+plowshare-modules:
+plowshare-modules: